Name:		chromium-get-snap
Version:	0.1
Release:	1%{?dist}
Summary:	Chromium snapshot downloader and compat lib wrapper

Group:		Devel
License:	GPLv2+

Source0:        %{name}
Source1:        Makefile
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:  %{ix86}
Requires:	nss, nspr
Requires:       GConf2, gtk2, alsa-lib


%description
Script to download chrome-linux builds with compat lib wrapping for ns libs


%prep
%{nil}

%build
%{nil}

%global _libdir %{_prefix}/lib

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_libdir},%{_bindir},%{_datadir}/%{name}}

install --mode=755 -p %{SOURCE0} $RPM_BUILD_ROOT%{_bindir}/%{name}
install --mode=644 -p %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/%{name}/Makefile

for i in nss3 nssutil3 smime3 ssl3; do
  ln -s /lib/lib${i}.so $RPM_BUILD_ROOT%{_libdir}/lib${i}.so.1d
done

for i in nspr4 plds4 plc4; do
  ln -s /lib/lib${i}.so $RPM_BUILD_ROOT%{_libdir}/lib${i}.so.0d
done

%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Makefile
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_libdir}/lib*d


%changelog
* Mon Jun  1 2009 Jens Petersen <petersen@redhat.com> - 0.1-1
- initial script to download latest snapshot
